package tech.nevets.jaml.objects;

import java.io.File;

public class Profile {
    private String profileName;
    private String gamePath;
    private String version;
    private String loader;
    private Boolean offlineMode;

    public Profile(){
    }

    public String getProfileName() {
        return profileName;
    }

    public void setProfileName(String profileName) {
        this.profileName = profileName.toLowerCase();
    }

    public File getGamePath() {
        return new File(gamePath);
    }

    public void setGamePath(File gamePath) {
        this.gamePath = String.valueOf(gamePath);
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getLoader() {
        return loader;
    }

    public void setLoader (String loader) {
        this.loader = loader;
    }

    public Boolean getOfflineMode() {
        return offlineMode;
    }

    public void setOfflineMode(Boolean offlineMode) {
        this.offlineMode = offlineMode;
    }

    public String toString() {
        return "{ profileName: " + profileName + ", gamePath: " + gamePath + ", version: " + version + ", loader: " + loader + ", offlineMode: " + offlineMode + " }";
    }
}
